Disabled: wip
Categories:
  - Reading
License: GPL-2.0-only
WebSite: http://videlibri.sourceforge.net
SourceCode: https://sourceforge.net/p/videlibri/code/ci/default/tree
IssueTracker: https://sourceforge.net/p/videlibri/tickets

Name: VideLibri
AutoName: VideLibri
Summary: A client for (German) public libraries
Description: |-
    VideLibri watches over the books you have lend in public libraries. It will
    automatically renew the loan period, warn you if some books are due, and keep a
    history of all ever lend books. You can also search new books in the catalog and
    order the found books. It has been tested with over 100 libraries in
    Germany/Austria/Switzerland.

    A custom programming language based on XQuery with pattern matching and a
    corresponding interpreter have been developed for VideLibri, so you can add
    support for any existing library without changing anything in the App itself.
    Due to the pattern matching many libraries can be added by inserting annotations
    on downloaded library webpages without writing any source in the custom
    programming language, too.

RepoType: hg
Repo: http://hg.code.sf.net/p/videlibri/code

Builds:
  - versionName: '1.650'
    versionCode: 1650
    disable: see maintainer notes
    commit: VIDELIBRI 1.650
    subdir: programs/internet/VideLibri/android/android/
    srclibs:
      - ACRA@acra-4.5.0
      - 1:ActionBarSherlock@4.4.0
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - pushd $$ACRA$$
      - $$MVN3$$ package
      - popd
      - cp $$ACRA$$/target/acra-4.5.0.jar libs/
      - cp libs/android-support-v4.jar $$ActionBarSherlock$$/libs/
      - android update project -p ./
    build: sh ../manage.sh

  - versionName: '1.666'
    versionCode: 1666
    disable: see maintainer notes

MaintainerNotes: |-
    * requires freepsacal fpc-2.7
    * add all *.pas files to fpc.cfg
    * lazarus pascal IDE with it's component library
    * try to get manager.sh content over here

AutoUpdateMode: None
UpdateCheckMode: Tags ^VIDELIBRI
CurrentVersion: '2.200'
CurrentVersionCode: 2200
